<script>
export default {
  data() {
    return {
      dataPeple: [
        {
          firstName: "Kissada",
          lastName: "Tumporn",
          nickName: "Benz",
          jobPosition: "Front-End",
          profile:
            "https://scontent.fkkc3-1.fna.fbcdn.net/v/t39.30808-6/342029354_890020948733895_3668860077545211834_n.jpg?_nc_cat=101&ccb=1-7&_nc_sid=5f2048&_nc_eui2=AeF1Uhd2y2zzKNcKViYWg1chr0JaEQqFxmGvQloRCoXGYXAgz5VoCI55s8zM1kPortITqDT5LcqiqTJOnl9-jobB&_nc_ohc=aMxL4YeoCiMAX-3GA-Y&_nc_ht=scontent.fkkc3-1.fna&cb_e2o_trans=t&oh=00_AfDftPI7izmVzF9P3K4ayBYF7NeIBSYkPuVY5Pvbs-c03w&oe=65591FCA",
          skills: ["HTML", "CSS", "Vue", "JavaScrip"],
          hobby: [
            "ฟังเพลงลูกทุ่ง",
            "เล่นเกมออนไลน์",
            "เข้าวัดทำบุญ",
            "นั่งสมาธิ",
          ],
          iconFacebook:"https://www.finnomena.com/wp-content/uploads/2016/01/Facebook_logo_square.png",
          facebook: "https://www.facebook.com/mayur.losuop.9",
          iconInstagram: "https://upload.wikimedia.org/wikipedia/commons/thumb/9/95/Instagram_logo_2022.svg/1200px-Instagram_logo_2022.svg.png",
          instagram : "https://www.instagram.com/benz_kissadaa/"
        },
      ],
      
    };
  },
};
</script>

<template>
  <!-- มีการลูปดึงข้อมูลใน dataPeple มาแสดง -->
  <v-row cols="12" bg="gray">
    <v-col
      cols="12"
      md="12"
      lg="12"
      v-for="item in dataPeple"
      :key="item.firstName"
    >
      <v-card
        style="box-shadow: 10px 10px 40px 10px #08101d"
        class="mx-auto rounded"
        max-width="1700"
        max-height="1200"
        cover
        image="https://c.pxhere.com/photos/3c/ba/beautiful_daylight_HD_wallpaper_lake_landscape_mountain_nature_outdoors-1544905.jpg!d"
      >
        <v-col cols="12">
          <div class="d-flex align-center justify-space-around mt-5">
            <!-- แสดงรูปภาพโปรไฟล์ และมีการ hover ขณะที่เมาส์ชี้ -->
            <v-hover>
              <template v-slot:default="{ isHovering, props }">
                <v-img
                  :src="item.profile"
                  alt="John"
                  style="border-radius: 100%; width: 100%; max-width: 250px; height: auto; margin: 1% 5%;"
                  max-width="350"
                  :class="{ 'on-hover': isHovering }"
                  v-bind="props"
                ></v-img>
              </template>
            </v-hover>
          </div>
        </v-col>
        <v-col cols="12">
            <!-- ดึงข้อมูลแสดงข้อมูลเกี่ยวกับตัวเอง และมีการ hover ขณะที่เมาส์ชี้ -->
          <v-hover>
            <template v-slot:default="{ isHovering, props }">
              <div class="box-animation">
                <!-- มี animation ตรง card -->
                <div class="light-animation">
                  <v-card
                    class="mx-auto"
                    max-width="670"
                    :class="{ 'on-hover-card': isHovering }"
                    v-bind="props"
                    style="background: linear-gradient(45deg, #4a99ff, #ff2055); color: white;"
                   >
                    <v-card-text>
                      <p class="text-h4 text--primary mb-2">
                        {{ item.firstName }} {{ item.lastName }}
                      </p>
                      <p><b>NickName :</b> {{ item.nickName }}</p>
                      <p><b>Job Position :</b> {{ item.jobPosition }}</p>
                      <p>
                        <b>Skill : </b>
                        <!-- ดึงข้อมูล skill -->
                        <span
                          v-for="(skill, index) in item.skills"
                          :key="index"
                          style="display: inline-block; margin-right: 5px"
                        >
                          {{ skill }}
                        </span>
                      </p>
                      <p>
                        <b>งานอดิเรก : </b>
                        <!-- ดึงข้อมูล Hobby -->
                        <span
                          v-for="(hobby, index) in item.hobby"
                          :key="index"
                          style="display: inline-block; margin-right: 5px"
                        >
                          {{ hobby }}
                        </span>
                      </p>
                    </v-card-text>
                  </v-card>
                </div>
              </div>
            </template>
          </v-hover>
        </v-col>
        <v-col cols="12">
          <v-row class="fill-height mb-5" justify="center">
            <!-- ดึงข้อมูงแสดงภาพไอคอน Facebook และ instagram และสามารถกดไปยังลิงก์นั้นได้ -->
            <template v-for="(item, index) in dataPeple" :key="index">  
                    <v-col cols="6" md="2" >
                        <a :href="item.facebook" target="_blank" rel="noopener noreferrer" >
                            <v-img :src="item.iconFacebook" height="85px" class="icon-hover"></v-img>
                        </a>      
                    </v-col>
                    <v-col cols="6" md="2" >
                        <a :href="item.instagram" target="_blank" rel="noopener noreferrer">
                            <v-img :src="item.iconInstagram" height="85px" class="icon-hover"></v-img>
                        </a> 
                    </v-col>
            </template>
          </v-row>
        </v-col>
      </v-card>
    </v-col>
  </v-row>
</template>



<style scoped>
.box-animation {
  display: flex;
  width: 100%;
  margin: 0 auto;
  align-items: center;
  justify-content: center;
}
.icon-hover:hover {
    opacity: 0.7;
}
.on-hover {
  box-shadow: 0 0 50px #000000;
}
.on-hover-card {
  color: white;
  box-shadow: 0 0 50px 5px rgba(74, 153, 255, 0.7);
}

.light-animation {
  position: relative;
  overflow: hidden;
  border-radius: 8px;
  padding: 8px;
}
.light-animation::before {
  content: "";
  position: absolute;
  top: -70%;
  left: -50%;
  width: 431px;
  height: 431px;
  background: linear-gradient(
    0deg,
    transparent,
    transparent,
    rgb(67, 152, 243),
    rgb(255, 225, 0),
    rgb(255, 68, 0)
  );
  animation: lightAnimation 6s linear infinite;
  z-index: -1;
  transform-origin: bottom right;
}
.light-animation::after {
  content: "";
  position: absolute;
  top: -70%;
  left: -50%;
  width: 431px;
  height: 431px;
  background: linear-gradient(
    0deg,
    transparent,
    transparent,
    rgb(77, 77, 255),
    rgb(242, 255, 62),
    rgb(255, 128, 0)
  );
  animation: lightAnimation 6s linear infinite;
  z-index: -1;
  transform-origin: bottom right;
  animation-delay: -2.7s;
}

@keyframes lightAnimation {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}
</style>